Summary:   	A multi-platform MPEG, DVD, and DivX player.
Name:      	videolan-client
Version:   	0.7.2
Release:   	1gls
Epoch:     	0
License:   	GPL
Group:     	Applications/Multimedia
URL:       	http://www.videolan.org/
Source:   	http://download.videolan.org/pub/videolan/vlc/%{version}/vlc-%{version}.tar.bz2
Patch:   	vlc-0.7.2-autoconf.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	vlc = %{epoch}:%{version}-%{release}
BuildRequires:	gettext libvorbis-devel zlib-devel libid3tag-devel
BuildRequires:	libdvdread-devel a52dec-devel libdvdplay-devel 
BuildRequires:	libdvbpsi-devel libpng-devel
BuildRequires:	libtar-devel SDL-devel desktop-file-utils gtk+-devel
BuildRequires:	libcddb-devel ffmpeg-devel libpostproc

# Needs development version.... *sigh*...
%{?_with_speex:BuildRequires:speex-devel}

%{!?_without_dvd:BuildRequires:	libdvdcss-devel}
%{!?_without_mad:BuildRequires:	libmad-devel}
%{!?_without_mpeg2dec:BuildRequires: mpeg2dec-devel >= 0:0.3.2}

%{!?_without_flac:BuildRequires: flac-devel}
%{!?_without_xvid:BuildRequires: xvidcore-devel}
%{!?_without_aa:BuildRequires: aalib-devel}
%{!?_without_xosd:BuildRequires: xosd-devel}
%{!?_without_esd:BuildRequires: esound-devel}
%{!?_without_arts:BuildRequires: arts-devel}

%{!?_without_slp:BuildRequires:	openslp-devel}

%{!?_without_matroska:BuildRequires:libmatroska-devel}
%{!?_without_livdotcom:BuildRequires:live}

%{!?_without_faad:BuildRequires:faad2-devel}

%{?_with_pth:BuildRequires: pth-devel}
%{?_with_alsa:BuildRequires:alsa-lib-devel}

%{?_with_fribidi:BuildRequires:fribidi-devel}
%{?_with_theora:BuildRequires:libtheora-devel}

%{?_with_ncurses:BuildRequires: ncurses-devel}
%{?_with_ncurses:%define ncurses 1}

%{!?_without_mozilla:BuildRequires: mozilla-nspr-devel mozilla-devel}
%{!?_without_mozilla:%define mozilla_version %(rpm -q mozilla --qf='%%{version}')}

%{!?_without_kde:BuildRequires: kdelibs-devel}
%{!?_without_kde:%define kde 1}

%{!?_without_wx:BuildRequires: wxGTK-devel}
%{!?_without_wx:%define wxwindows 1}

%{!?_without_gnome:BuildRequires: gnome-libs-devel}
%{!?_without_gnome:%define gnome 1}

%{!?_without_lirc:Buildrequires: lirc}

%package devel
Summary: 	Development package for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%if 0%{?mozilla_version:1}
%package mozilla
Summary:	Videolan Client plugin for mozilla
Group:		Applications/Multimedia	
Requires: 	%{name} = %{epoch}:%{version}-%{release}
Requires:	mozilla
%endif

%if 0%{?kde:1}
%package kde
Summary:	Videolan Client KDE User Interface
Group:		Applications/Multimedia
Requires: 	%{name} = %{epoch}:%{version}-%{release}
%endif

%if 0%{?gnome:1}
%package gnome
Summary:	Videolan Client GNOME1 User Interface
Group:		Applications/Multimedia
Requires: 	%{name} = %{epoch}:%{version}-%{release}
%endif

%if 0%{?ncurses:1}
%package ncurses
Summary:	Videolan Client ncurses User Interface
Group:		Applications/Multimedia
Requires: 	%{name} = %{epoch}:%{version}-%{release}
%endif

%if 0%{?wxwindows:1}
%package wx
Summary:	Videolan Client WXwindows (GTk2) User Interface
Group:		Applications/Multimedia
Requires: 	%{name} = %{epoch}:%{version}-%{release}
%endif

#-----------------------------------------------------------------------------

%description
VLC (VideoLAN Client) is a multimedia player for Unix, Windows, MacOS
X, BeOS, and QNX. It can play most audio and video formats (MPEG
1/2/4, DivX, WMV, DV, Ogg/Vorbis, AAC, etc.), has support for VCD and
DVD (with menus), and can read streams from a network source (HTTP,
UDP, DVB, etc.). It can also act as a server and send streams through
the network, with optional support for transcoding.

%description devel
This package contains development files for %{name}

VLC (VideoLAN Client) is a multimedia player. It can play most audio
and video formats, has support for VCD and DVD, and can read streams
from a network source. It can also act as a server and send streams
through the network, with optional support for transcoding. 

%if 0%{?mozilla_version:1}
%description mozilla
This package contains a plugin for mozilla

VLC (VideoLAN Client) is a multimedia player. It can play most audio
and video formats, has support for VCD and DVD, and can read streams
from a network source. It can also act as a server and send streams
through the network, with optional support for transcoding. 
%endif

%if 0%{?kde:1}
%description kde
This package contains the KDE Graphical User Interface for %{name}

VLC (VideoLAN Client) is a multimedia player. It can play most audio
and video formats, has support for VCD and DVD, and can read streams
from a network source. It can also act as a server and send streams
through the network, with optional support for transcoding. 
%endif

%if 0%{?gnome:1}
%description gnome
This package contains the GNOME1 Graphical User Interface for %{name}

VLC (VideoLAN Client) is a multimedia player. It can play most audio
and video formats, has support for VCD and DVD, and can read streams
from a network source. It can also act as a server and send streams
through the network, with optional support for transcoding. 
%endif

%if 0%{?ncurses:1}
%description ncurses
This package contains the ncurses Graphical User Interface for %{name}

VLC (VideoLAN Client) is a multimedia player. It can play most audio
and video formats, has support for VCD and DVD, and can read streams
from a network source. It can also act as a server and send streams
through the network, with optional support for transcoding. 
%endif

%if 0%{?wxwindows:}
%description wx
This package contains the WX (GTk2) Graphical User Interface for %{name}

VLC (VideoLAN Client) is a multimedia player. It can play most audio
and video formats, has support for VCD and DVD, and can read streams
from a network source. It can also act as a server and send streams
through the network, with optional support for transcoding. 
%endif

#-----------------------------------------------------------------------------

%prep
%setup -q -n vlc-%{version}
%patch -p1

#-----------------------------------------------------------------------------

%build

#rebuild makefiles - add libpostproc (on which ffmpeg depends) to link options
autoconf

%if 0%{?mozilla_version:1}
export VLCMOZVER="mozilla-%{mozilla_version}"
%endif

%{!?_without_kde:[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh}
%configure 	\
	--enable-utf8					\
	--enable-pvr					\
	--enable-plugins				\
	%{!?_without_ffmpeg:--enable-pp --enable-ffmpeg --with-ffmpeg=%{_prefix}}	\
	%{?_without_dvd:--disable-dvd}			\
	%{?_without_mad:--disable-mad}			\
	%{?_without_mpeg2dec:--disable-libmpeg2}	\
	%{!?_without_flac:--enable-flac}		\
	%{!?_without_xvid:--enable-xvid}		\
	%{!?_without_aa:--enable-aa}			\
	%{!?_without_xosd:--enable-xosd}		\
	%{!?_without_esd:--enable-esd}			\
	%{!?_without_arts:--enable-arts}		\
	%{!?_without_mozilla:--enable-mozilla}		\
	%{!?_without_kde:--enable-kde}			\
	%{?_without_wx:--disable-wxwindows}		\
	%{?_with_pth:--enable-pth}			\
	%{?_with_alsa:--enable-alsa}			\
	%{!?_without_gnome:--enable-gnome}		\
	%{?_with_ncurses:--enable-ncurses}		\
	%{?_without_slp:--disable-slp}			\
	%{!?_without_livedotcom:--enable-livedotcom --with-livedotcom-tree=/usr/lib/live}	\
	%{?_without_matroska:--disable-matroska}	\
	%{!?_without_faad:--enable-faad}		\
	%{?_with_theora:--enable-theora}		\
	%{!?_with_fribidi:--disable-fribidi}		\
	%{!?_with_speex:--disable-speex}		\
	%{!?_without_lirc:--enable-lirc}		\
	--enable-release 

make %{?_smp_mflags}

#-----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT __doc
%makeinstall docdir=`pwd`/__doc
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install doc/vlc.1 -m 0644 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/vlc-config.1 -m 0644 $RPM_BUILD_ROOT%{_mandir}/man1

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
(cd $RPM_BUILD_ROOT%{_datadir}/pixmaps ; ln -s ../vlc/vlc48x48.png)

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=VideoLAN Client
Comment=A multi-platform MPEG, DVD, and DivX player.
Exec=vlc
Terminal=false
Icon=vlc48x48.png
Type=Application
Encoding=UTF-8
EOF

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor livna             \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Livna                      \
    --add-category Application                  \
    --add-category AudioVideo			\
    %{name}.desktop

%find_lang vlc

#-----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------

%files -f vlc.lang
%defattr(-,root,root,-)
%exclude %{_libdir}/vlc/lib*.a
%if 0%{?kde:1}
%exclude %{_libdir}/vlc/gui/libkde_plugin.so
%endif
%if 0%{?wxwindows:1}
%exclude %{_libdir}/vlc/gui/libwxwindows_plugin.so
%endif
%if 0%{?gnome:1}
%exclude %{_libdir}/vlc/gui/libgnome_plugin.so
%exclude %{_libdir}/vlc/misc/libgnome_main_plugin.so
%endif
%if 0%{?ncurses:1}
%exclude %{_libdir}/vlc/gui/libncurses_plugin.so
%endif
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README THANKS __doc/*
%{_bindir}/vlc
%{_bindir}/gvlc
%{_libdir}/vlc
%{_datadir}/vlc
%{_mandir}/man1/vlc.1*
%{_datadir}/pixmaps/vlc48x48.png
%{_datadir}/applications/*%{name}.desktop

%files devel
%defattr(-,root,root,-)
%{_bindir}/vlc-config
%{_includedir}/vlc
%{_libdir}/libvlc.a
%{_libdir}/libvlc_pic.a
%{_libdir}/vlc/lib*.a
%{_mandir}/man1/vlc-config.1*

%if 0%{?mozilla_version:1}
%files mozilla
%defattr(-,root,root,-)
%{_libdir}/mozilla/components/vlcintf.xpt
%attr(0755,root,root) %{_libdir}/mozilla/plugins/libvlcplugin.so
%endif

%if 0%{?kde:1}
%files kde
%defattr(-,root,root,-)
%{_bindir}/kvlc
%{_libdir}/vlc/gui/libkde_plugin.so
%endif

%if 0%{?wxwindows:1}
%files wx
%defattr(-,root,root,-)
%{_bindir}/wxvlc
%{_libdir}/vlc/gui/libwxwindows_plugin.so
%endif

%if 0%{?gnome:1}
%files gnome
%defattr(-,root,root,-)
%{_bindir}/gnome-vlc
%{_libdir}/vlc/gui/libgnome_plugin.so
%{_libdir}/vlc/misc/libgnome_main_plugin.so
%endif

%if 0%{?ncurses:1}
%files ncurses
%defattr(-,root,root,-)
%{_libdir}/vlc/gui/libncurses_plugin.so
%endif

#-----------------------------------------------------------------------------

%changelog
* Fri Aug 06 2004 Gabriel Somlo <somlo@acns.colostate.edu>
-removed strict version-specific dependency on mozilla

* Fri Jul 30 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- switched to wxGTK (from wxGTK2)
- removed conflict with stable ffmpeg
- mozilla plugin goes into generic /usr/lib/mozilla/*
- added --enable-pvr (handy if we have a hauppauge card)

* Mon Jul  5 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.4
- Enabled libcddb support

* Wed Jun 30 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.3
- speex now conditional and default disabled since vlc requires
  development version. 

* Wed Jun 30 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.2
- Optional Fribidi and libtheora support (default disabled)

* Tue May 25 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.1
- Updated to 0.7.2

* Fri May  7 2004 Dams <anvil[AT]livna.org> 0:0.7.1-0.lvn.1
- BuildConflicts:ffmpeg
- Build against private ffmpeg snapshot

* Tue Mar  9 2004 Dams <anvil[AT]livna.org> 0:0.7.1-0.lvn.1
- Updated to 0.7.1
- Added live.com libraries support
- Added matroska support

* Sun Jan  4 2004 Dams <anvil[AT]livna.org> 0:0.7.0-0.lvn.1
- Updated to 0.7.0
- s/fdr/lvn

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.7
- Conditional ffmpeg build option (default enabled)

* Fri Sep  5 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.6
- pth support now default disabled 

* Fri Sep  5 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.5
- slp support can now be not-build with '--without slp'

* Thu Sep  4 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.4
- Added missing defattr for subpackages
- Fixed permissions on mozilla plugin
- fixed build failure due to typos in ncurses changes
- Removed useless explicit 'Requires:' in subpackages declarations

* Tue Sep  2 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.3
- Added builddep for libpng-devel and openslp-devel 
- Added gnome (default:enabled) and ncurses (default:disabled)
  subpackages
- Removed macros (mkdir/install/perl)
- Modified descriptions
- Removed gtk/gnome2 build deps
- Added conditionnal (default-disabled) build option for alsa
- Added conditionnal builddep for pth-devel

* Fri Aug 22 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.2
- Added missing BuildRequires for gtk+-devel

* Thu Aug 14 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.1
- Updated to 0.6.2
- Hopefully fixed 'if' conditions for optional buildrequires

* Tue Jul  8 2003 Dams <anvil[AT]livna.org> 0:0.6.0-0.fdr.3
- Providing vlc 

* Tue Jul  8 2003 Dams <anvil[AT]livna.org> 0:0.6.0-0.fdr.2
- Moved desktop entry from devel to main package (stupid me)

* Mon Apr 28 2003 Dams <anvil[AT]livna.org> 
- Initial build.
